package com.dspread.pos.utils;

import java.util.HashMap;
import java.util.Map;

public class CurrencySymbolUtils {
    private static final Map<String, String> CURRENCY_SYMBOLS = new HashMap<>();

    static {
        // Initialize the currency symbol map
        CURRENCY_SYMBOLS.put("EUR", "€");
        CURRENCY_SYMBOLS.put("USD", "$");
        CURRENCY_SYMBOLS.put("GBP", "£");
        CURRENCY_SYMBOLS.put("CZK", "Kč");
        CURRENCY_SYMBOLS.put("TRY", "₺");
        CURRENCY_SYMBOLS.put("AED", "د.إ");
        CURRENCY_SYMBOLS.put("AFN", "؋");
        CURRENCY_SYMBOLS.put("ARS", "$");
        CURRENCY_SYMBOLS.put("AUD", "$");
        CURRENCY_SYMBOLS.put("BBD", "$");
        CURRENCY_SYMBOLS.put("BDT", "৳");
        CURRENCY_SYMBOLS.put("BGN", "лв");
        CURRENCY_SYMBOLS.put("BHD", ".د.ب");
        CURRENCY_SYMBOLS.put("BMD", "$");
        CURRENCY_SYMBOLS.put("BND", "$");
        CURRENCY_SYMBOLS.put("BOB", "Bs.");
        CURRENCY_SYMBOLS.put("BRL", "R$");
        CURRENCY_SYMBOLS.put("BTN", "Nu.");
        CURRENCY_SYMBOLS.put("BZD", "BZ$");
        CURRENCY_SYMBOLS.put("CAD", "$");
        CURRENCY_SYMBOLS.put("CHF", "CHF");
        CURRENCY_SYMBOLS.put("CLP", "$");
        CURRENCY_SYMBOLS.put("CNY", "¥");
        CURRENCY_SYMBOLS.put("COP", "$");
        CURRENCY_SYMBOLS.put("CRC", "₡");
        CURRENCY_SYMBOLS.put("DKK", "kr");
        CURRENCY_SYMBOLS.put("DOP", "RD$");
        CURRENCY_SYMBOLS.put("EGP", "£");
        CURRENCY_SYMBOLS.put("ETB", "Br");
        CURRENCY_SYMBOLS.put("GEL", "₾");
        CURRENCY_SYMBOLS.put("GHS", "₵");
        CURRENCY_SYMBOLS.put("GMD", "D");
        CURRENCY_SYMBOLS.put("GYD", "$");
        CURRENCY_SYMBOLS.put("HKD", "$");
        CURRENCY_SYMBOLS.put("HRK", "kn");
        CURRENCY_SYMBOLS.put("HUF", "Ft");
        CURRENCY_SYMBOLS.put("IDR", "Rp");
        CURRENCY_SYMBOLS.put("ILS", "₪");
        CURRENCY_SYMBOLS.put("INR", "₹");
        CURRENCY_SYMBOLS.put("ISK", "kr");
        CURRENCY_SYMBOLS.put("JMD", "J$");
        CURRENCY_SYMBOLS.put("JPY", "¥");
        CURRENCY_SYMBOLS.put("KES", "KSh");
        CURRENCY_SYMBOLS.put("KRW", "₩");
        CURRENCY_SYMBOLS.put("KWD", "د.ك");
        CURRENCY_SYMBOLS.put("KYD", "$");
        CURRENCY_SYMBOLS.put("KZT", "₸");
        CURRENCY_SYMBOLS.put("LAK", "₭");
        CURRENCY_SYMBOLS.put("LKR", "Rs");
        CURRENCY_SYMBOLS.put("LRD", "$");
        CURRENCY_SYMBOLS.put("LTL", "Lt");
        CURRENCY_SYMBOLS.put("MAD", "د.م.");
        CURRENCY_SYMBOLS.put("MDL", "L");
        CURRENCY_SYMBOLS.put("MKD", "ден");
        CURRENCY_SYMBOLS.put("MNT", "₮");
        CURRENCY_SYMBOLS.put("MUR", "₨");
        CURRENCY_SYMBOLS.put("MWK", "MK");
        CURRENCY_SYMBOLS.put("MXN", "$");
        CURRENCY_SYMBOLS.put("MYR", "RM");
        CURRENCY_SYMBOLS.put("MZN", "MT");
        CURRENCY_SYMBOLS.put("NAD", "$");
        CURRENCY_SYMBOLS.put("NGN", "₦");
        CURRENCY_SYMBOLS.put("NIO", "C$");
        CURRENCY_SYMBOLS.put("NOK", "kr");
        CURRENCY_SYMBOLS.put("NPR", "₨");
        CURRENCY_SYMBOLS.put("NZD", "$");
        CURRENCY_SYMBOLS.put("OMR", "ر.ع.");
        CURRENCY_SYMBOLS.put("PEN", "S/.");
        CURRENCY_SYMBOLS.put("PGK", "K");
        CURRENCY_SYMBOLS.put("PHP", "₱");
        CURRENCY_SYMBOLS.put("PKR", "₨");
        CURRENCY_SYMBOLS.put("PLN", "zł");
        CURRENCY_SYMBOLS.put("PYG", "₲");
        CURRENCY_SYMBOLS.put("QAR", "ر.ق");
        CURRENCY_SYMBOLS.put("RON", "lei");
        CURRENCY_SYMBOLS.put("RSD", "дин.");
        CURRENCY_SYMBOLS.put("RUB", "₽");
        CURRENCY_SYMBOLS.put("SAR", "ر.س");
        CURRENCY_SYMBOLS.put("SEK", "kr");
        CURRENCY_SYMBOLS.put("SGD", "$");
        CURRENCY_SYMBOLS.put("SOS", "S");
        CURRENCY_SYMBOLS.put("SRD", "$");
        CURRENCY_SYMBOLS.put("THB", "฿");
        CURRENCY_SYMBOLS.put("TTD", "TT$");
        CURRENCY_SYMBOLS.put("TWD", "NT$");
        CURRENCY_SYMBOLS.put("TZS", "TSh");
        CURRENCY_SYMBOLS.put("UAH", "₴");
        CURRENCY_SYMBOLS.put("UGX", "USh");
        CURRENCY_SYMBOLS.put("UYU", "$U");
        CURRENCY_SYMBOLS.put("VEF", "Bs.");
        CURRENCY_SYMBOLS.put("VND", "₫");
        CURRENCY_SYMBOLS.put("YER", "﷼");
        CURRENCY_SYMBOLS.put("ZAR", "R");
    }

    public static String getSymbolForCurrency(String currencyCode) {
        return CURRENCY_SYMBOLS.getOrDefault(currencyCode, currencyCode);
    }
}